Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator
Interface ShortCircuitableValidator

All Known Implementing Classes:
  ConditionalVisitorFieldValidator, ConversionErrorFieldValidator, DateRangeFieldValidator, DoubleRangeFieldValidator, EmailValidator, ExpressionValidator, FieldExpressionValidator, FieldValidatorSupport, IntRangeFieldValidator, LongRangeFieldValidator, RangeValidatorSupport, RegexFieldValidator, RepopulateConversionErrorFieldValidatorSupport, RequiredFieldValidator, RequiredStringValidator, ShortRangeFieldValidator, StringLengthFieldValidator, URLValidator, ValidatorSupport, VisitorFieldValidator

    public interface ShortCircuitableValidator

This interface should be implemented by validators that can short-circuit the validator queue that it is in.

Author:
  Mark Woon

Method Summary
`boolean` | `isShortCircuit()` Gets whether this field validator should short circuit the validator queue it's in if validation fails.
`void` | `setShortCircuit(boolean shortcircuit)` Sets whether this field validator should short circuit the validator queue it's in if validation fails.

Method Detail

### setShortCircuit

    void setShortCircuit(boolean shortcircuit)

  Sets whether this field validator should short circuit the validator queue it's in if validation fails.

  Parameters:
    `shortcircuit` - `true` if this field validator should short circuit on failure, `false` otherwise

### isShortCircuit

    boolean isShortCircuit()

  Gets whether this field validator should short circuit the validator queue it's in if validation fails.

  Returns:
    `true` if this field validator should short circuit on failure, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.